package com.fs.store.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户佣金排行对象 fs_user_tui_money_rank
 * 
 * @author fs
 * @date 2024-07-17
 */
public class FsUserTuiMoneyRank extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 1 周榜 2月榜 3总榜 */
    @Excel(name = "1 周榜 2月榜 3总榜")
    private Integer type;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickname;

    /** 用户电话 */
    @Excel(name = "用户电话")
    private String phone;

    /** 推广佣金 */
    @Excel(name = "推广佣金")
    private BigDecimal tuiMoney;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNickname(String nickname) 
    {
        this.nickname = nickname;
    }

    public String getNickname() 
    {
        return nickname;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setTuiMoney(BigDecimal tuiMoney) 
    {
        this.tuiMoney = tuiMoney;
    }

    public BigDecimal getTuiMoney() 
    {
        return tuiMoney;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sort", getSort())
            .append("type", getType())
            .append("userId", getUserId())
            .append("nickname", getNickname())
            .append("phone", getPhone())
            .append("tuiMoney", getTuiMoney())
            .append("avatar", getAvatar())
            .toString();
    }
}
